Skip to main content
PATCH
Update an invite

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer<uint64>
required

The ID of the invite to update

network_id
required

The Network's unique integer ID, or subdomain Unique numeric network ID

Body

application/json

Submit results as JSON

Invites allow users and admins to invite new users to the Network

recipient_email
string

The recipients email address

Example:

"claude@example.com"

recipient_first_name
string

The recipient's first name

Example:

"Claude"

recipient_last_name
string

The recipient's last name

Example:

"Monet"

user_id
integer<uint64>

The ID of the user to record as the creator of the invite.

If not provided, defaults to the owner of the authored API key.

Response

200 - application/json

Updates an invite and returns its new state

Invites allow users and admins to invite new users to the Network

recipient_email
string
required

The recipients email address

Example:

"claude@example.com"

recipient_first_name
string
required

The recipient's first name

Example:

"Claude"

recipient_last_name
string
required

The recipient's last name

Example:

"Monet"

id
integer<uint64>
required

The record's integer ID

Example:

"1234"

created_at
string<date-time>
required

The date and time the record was created

Example:

"2026-08-13T00:16:13+00:00"

updated_at
string<date-time>
required

The date and time the record was last modified

Example:

"2026-08-13T00:16:13+00:00"

sender_id
integer<uint64>
required

The ID of the user that created the invitation

user_id
integer<uint64>
deprecated

Deprecated: Use sender_id instead